Constants (Resource Manager CL 1.0.0-3.7.0 API)
Date: 2015-05-19

org.gcube.vremanagement.resourcemanager.client

## Class Constants

- java.lang.Object
- - org.gcube.vremanagement.resourcemanager.client.Constants

-     public class Constants
      extends Object

  Author:
    andrea

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NAMESPACE_ADMIN`
    `static String` | `NAMESPACE_BINDER`
    `static String` | `NAMESPACE_CONTROLLER`
    `static String` | `NAMESPACE_REPORTING`
    `static String` | `PORT_TYPE_NAME_ADMIN`
    `static String` | `PORT_TYPE_NAME_BINDER`
    `static String` | `PORT_TYPE_NAME_CONTROLLER`
    `static String` | `PORT_TYPE_NAME_REPORTING`
    `static String` | `porttypeAdminLocalName`
    `static String` | `porttypeBinderLocalName`
    `static String` | `porttypeControllerLocalName`
    `static String` | `porttypeReportingLocalName`
    `static org.gcube.common.clients.stubs.jaxws.GCoreService<RMAdminServiceJAXWSStubs>` | `rm_admin`
    `static org.gcube.common.clients.stubs.jaxws.GCoreService<RMBinderServiceJAXWSStubs>` | `rm_binder`
    `static org.gcube.common.clients.stubs.jaxws.GCoreService<RMControllerServiceJAXWSStubs>` | `rm_controller`
    `static org.gcube.common.clients.stubs.jaxws.GCoreService<RMReportingServiceJAXWSStubs>` | `rm_reporting`
    `static String` | `SERVICE_CLASS`
    `static String` | `SERVICE_NAME`
    `static String` | `serviceAdminLocalName`
    `static QName` | `serviceAdminName`
    `static String` | `serviceAdminNS`
    `static String` | `serviceBinderLocalName`
    `static QName` | `serviceBinderName`
    `static String` | `serviceBinderNS`
    `static String` | `serviceControllerLocalName`
    `static QName` | `serviceControllerName`
    `static String` | `serviceControllerNS`
    `static String` | `serviceReportingLocalName`
    `static QName` | `serviceReportingName`
    `static String` | `serviceReportingNS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SERVICE_CLASS

          public static final String SERVICE_CLASS

      See Also:
        Constant Field Values

    - #### SERVICE_NAME

          public static final String SERVICE_NAME

      See Also:
        Constant Field Values

    - #### NAMESPACE_ADMIN

          public static final String NAMESPACE_ADMIN

      See Also:
        Constant Field Values

    - #### PORT_TYPE_NAME_ADMIN

          public static final String PORT_TYPE_NAME_ADMIN

      See Also:
        Constant Field Values

    - #### NAMESPACE_REPORTING

          public static final String NAMESPACE_REPORTING

      See Also:
        Constant Field Values

    - #### PORT_TYPE_NAME_REPORTING

          public static final String PORT_TYPE_NAME_REPORTING

      See Also:
        Constant Field Values

    - #### NAMESPACE_BINDER

          public static final String NAMESPACE_BINDER

      See Also:
        Constant Field Values

    - #### PORT_TYPE_NAME_BINDER

          public static final String PORT_TYPE_NAME_BINDER

      See Also:
        Constant Field Values

    - #### NAMESPACE_CONTROLLER

          public static final String NAMESPACE_CONTROLLER

      See Also:
        Constant Field Values

    - #### PORT_TYPE_NAME_CONTROLLER

          public static final String PORT_TYPE_NAME_CONTROLLER

      See Also:
        Constant Field Values

    - #### serviceAdminNS

          public static final String serviceAdminNS

      See Also:
        Constant Field Values

    - #### serviceAdminLocalName

          public static final String serviceAdminLocalName

      See Also:
        Constant Field Values

    - #### serviceAdminName

          public static final QName serviceAdminName

    - #### serviceReportingNS

          public static final String serviceReportingNS

      See Also:
        Constant Field Values

    - #### serviceReportingLocalName

          public static final String serviceReportingLocalName

      See Also:
        Constant Field Values

    - #### serviceReportingName

          public static final QName serviceReportingName

    - #### serviceBinderNS

          public static final String serviceBinderNS

      See Also:
        Constant Field Values

    - #### serviceBinderLocalName

          public static final String serviceBinderLocalName

      See Also:
        Constant Field Values

    - #### serviceBinderName

          public static final QName serviceBinderName

    - #### serviceControllerNS

          public static final String serviceControllerNS

      See Also:
        Constant Field Values

    - #### serviceControllerLocalName

          public static final String serviceControllerLocalName

      See Also:
        Constant Field Values

    - #### serviceControllerName

          public static final QName serviceControllerName

    - #### porttypeAdminLocalName

          public static final String porttypeAdminLocalName

      See Also:
        Constant Field Values

    - #### porttypeReportingLocalName

          public static final String porttypeReportingLocalName

      See Also:
        Constant Field Values

    - #### porttypeBinderLocalName

          public static final String porttypeBinderLocalName

      See Also:
        Constant Field Values

    - #### porttypeControllerLocalName

          public static final String porttypeControllerLocalName

      See Also:
        Constant Field Values

    - #### rm_admin

          public static final org.gcube.common.clients.stubs.jaxws.GCoreService<RMAdminServiceJAXWSStubs> rm_admin

    - #### rm_reporting

          public static final org.gcube.common.clients.stubs.jaxws.GCoreService<RMReportingServiceJAXWSStubs> rm_reporting

    - #### rm_binder

          public static final org.gcube.common.clients.stubs.jaxws.GCoreService<RMBinderServiceJAXWSStubs> rm_binder

    - #### rm_controller

          public static final org.gcube.common.clients.stubs.jaxws.GCoreService<RMControllerServiceJAXWSStubs> rm_controller

  - ### Constructor Detail

    - #### Constants

          public Constants()

Copyright © 2015. All Rights Reserved.